# 各ステップの負担せん断力の描画
指定した物件データCSVから、特定のブレースの各ステップでの負担せんだん力を描画します。

## 本プログラムの説明
このモジュールは『SS7 Op.Python実行』を活用していただくためのサンプルプログラムです。<br>
指定したフォルダ内にある『SS7』の入力データCSVから、解析ステップごとに物件データを作成し解析し、<br>
解析結果から、指定したブレースの負担せん断力を取得し、Q-δ図を描画するプログラムとなっています。<br>
このサンプルプログラムにより、『SS7 Op.Python実行』の使用方法として、<br>

・『SS7』の物件データの基本的な扱い方<br>
・『SS7』にコマンドを送信して動作させる方法<br>
・『SS7』CSVデータの変更方法<br>

を学ぶことができます。<br>
また、複数の『SS7』物件データに対して連続的に何かの処理を行わせたいバッチ処理のための雛形としても活用いただけます。

## 本プログラムの実行方法
1. データ準備<br>
    負担せんだん力を確認する『SS7』データCSVを用意します。<br>
    ※確認したい増分解析ケース(2次)を必ず実行すると設定してください。<br>
    ※応力解析(2次)まで解析が実行されるデータか確認してください。<br>

2. 出力フォルダの準備<br>
    本プログラムでは、ステップごとに物件データを作成します。<br>
    この物件データの出力用のフォルダを用意してください。<br>
    ※出力用フォルダの中には、なにも無い状態としてください。<br>

3. パラメータ設定<br>
    `ShearStressSeparation.py`ファイルの設定の引数を編集して必要なパラメーターを設定します。<br>
    | 変数名| 説明| デフォルト |
    | - | - | - |
    | input_csv | 『SS7』入力CSVファイルのフルパス | r"C:\UsrData\SS7CSV\Sample1.csv" |
    | output_folder | 出力用フォルダのフルパス | r"C:\UsrData\SS7CSV\OutData" |
    | target_case | 『SS7』増分解析ケース名 | "case=DSX+" |
    | max_stepno | 最終ステップ数 | 50
    | step_pitch | 解析ステップ間隔 | 1
    | floor | 確認するブレースの階名 | '4' |
    | flame | 確認するブレースのフレーム名 | 'A' |
    | jiku1 | 確認するブレースの軸名 | '1' |
    | jiku2 | 確認するブレースの軸名 | '2' |



4. プログラム実行<br>
  任意のフォルダ内に、本モジュールと『SS7 Op.Python実行』のモジュール群をコピーします。<br>
  例）C:\example\src に入れる場合
  ```
    C:\example\src\
       ├ StressPathView.py
       ├ Ptyhon\
           ├ Ss7Python.pyd
           ├ Ss7WrapCmd.dll
  ```
  Python実行用コマンドプロンプトから以下のコマンドで実行します。
  ```cmd
    cd /d C:\example\src
    python ShearStressSeparation.py
  ```

## 注意事項
本プログラムは、『SS7』Ver.1.1.1.19で動作確認しています。

## 『Op.Python実行』の設定手順
Ss7Pythonライブラリを使用するための設定手順です。
1. 『SS7』を起動し，[ツール－環境設定－Op.Python実行]画面を表示します。
2. “利用可能なPython言語のバージョン”を選択し，[デスクトップへコピー]ボタンをクリックします。
3. デスクトップにある「Python」フォルダごと，ShearStressSeparation.pyを入れたフォルダにコピーします。


## 必要な外部ライブラリ
以下の外部ライブラリをPython実行環境にインストールしてください。

- matplotlib ：Q-δ図の描画に使います。

```cmd
pip install matplotlib
```


## 著作者
Copyright (C) 2024 UNION SYSTEM Inc.


## ライセンス
本プログラムは MIT License に基づいています。「LICENSE」を確認してください。